
#

# Name:        loadK2WS_Tools  ###
# Date:	      5 29 2011
# Description: The following adds a woodworking joint tools to the 'Draw' menu. These rb's are in the K2WS_Tools folder   
#                 which must be in then Plugins folder.  
#               This is a test of a loading on demand plugin so the individual tools can have separate plugins
#                 but each is only loaded as needed.
# Author:     Keith Krueger (with a big help from plugin forum:)
#    
require 'sketchup.rb'


  #Adds KK_Joint_Tools to menu
  #Individual tools only load as required
  #The file "KK_ToolsLoader.rb"  must be in folder ....\Plugins\K2WS_Tools
  #All the files required in KK_ToolsLoader.rb must be in the folder.....\Plugins\K2WS_Tools
  #This file "loadK2WS_Tools.rb"  must be in the ....\Plugins directory to run when SU opens
  
  require 'K2WS_Tools/K2_ToolsLoader.rb'



file_loaded("loadK2WS_Tools.rb")
